/*!-------------------------------------------------------------------------------------------------
 - #%L                                                                                            -
 - chvote-vrum                                                                                    -
 - %%                                                                                             -
 - Copyright (C) 2016 - 2018 République et Canton de Genève                                       -
 - %%                                                                                             -
 - This program is free software: you can redistribute it and/or modify                           -
 - it under the terms of the GNU Affero General Public License as published by                    -
 - the Free Software Foundation, either version 3 of the License, or                              -
 - (at your option) any later version.                                                            -
 -                                                                                                -
 - This program is distributed in the hope that it will be useful,                                -
 - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
 - GNU General Public License for more details.                                                   -
 -                                                                                                -
 - You should have received a copy of the GNU Affero General Public License                       -
 - along with this program. If not, see <http://www.gnu.org/licenses/>.                           -
 - #L%                                                                                            -
 -------------------------------------------------------------------------------------------------*/

@import '~@angular/material/theming';
@import '~@chvote/chvote-common-theme/styles/theme';

$primary: map-get($chvote-theme, primary);

.voting-card-grid {
  width: 100%;

  .mat-header-row, .mat-row {
    min-height: 3rem;
    border: none;
  }

  .mat-row:not(:last-child) {
    border-bottom: 1px solid rgba(0, 0, 0, .12);
  }

}

.voting-card-container {
  padding: 10px 0 0 24px;

  &:not(:last-child) {
    border-bottom: 1px solid rgba(0, 0, 0, .12);
  }
}

.search-results-error {
  text-align: center;

  p {
    font-size: 1.8rem;
    color: mat-color($primary, default);
  }
}
